# $Revision: 1.28.4.31 $, $Date: 2008/09/25 01:58:46 $
#
#TODO
# -  udev rules
#
#INFO
# - Development zd112 is dormant. Please use zd1211rw instead,
#   see http://zd1211.ath.cx/wiki/DriverRewrite
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_with	verbose		# verbose build (V=1)

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		zd1211_name	zd1211-driver-r85
%define		rel		66
%define		pname	zd1211
Summary:	Linux driver for USB WLAN cards based on zd1211
Summary(pl.UTF-8):	Sterownik dla Linuksa do kart bezprzewodowych USB opartych na układzie zd1211
Name:		%{pname}%{_alt_kernel}
Version:	0.0.2
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://zd1211.ath.cx/download/%{zd1211_name}.tgz
# Source0-md5:	51691a15137fbc35515a630d45d03352
Patch0:		kernel-net-%{pname}-build.patch
Patch1:		%{pname}-3410.patch
URL:		http://zd1211.ath.cx/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.330
ExcludeArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Linux driver for WLAN cards based on zd1211.

%description -l pl.UTF-8
Sterownik dla Linuksa do kart bezprzewodowych opartych na układzie
zd1211.

%description -l de.UTF-8
Linux Kernel Treiber für WLAN Netzwerkkarten zd1211.

%package -n kernel%{_alt_kernel}-net-%{pname}
Summary:	Linux kernel module for WLAN cards based on zd1211
Summary(de.UTF-8):	Linux Kernel Modul für WLAN Netzwerkkarten zd1211
Summary(pl.UTF-8):	Moduł jądra Linuksa dla kart WLAN na zd1211
Release:	%{rel}@%{_kernel_vermagic}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Requires:	module-init-tools >= 3.2.2-2
Requires:	zd1211-firmware

%description -n kernel%{_alt_kernel}-net-%{pname}
This package contains Linux kernel drivers for the WLAN cards based on
zd1211.

%description -n kernel%{_alt_kernel}-net-%{pname} -l de.UTF-8
Dieses Paket enthält Linux Kernel Treiber für WLAN Netzwerkkarten
zd1211.

%description -n kernel%{_alt_kernel}-net-%{pname} -l pl.UTF-8
Ten pakiet zawiera sterowniki jądra Linuksa dla kart WLAN na zd1211.

%package -n kernel%{_alt_kernel}-smp-net-%{pname}
Summary:	Linux SMP kernel module for the WLAN cards based on zd1211
Summary(de.UTF-8):	Linux SMP Kernel Modul für WLAN Netzwerkkarten zd1211
Summary(pl.UTF-8):	Moduł jądra Linuksa SMP dla kart WLAN na zd1211
Release:	%{rel}@%{_kernel_vermagic}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}
Requires:	module-init-tools >= 3.2.2-2
Requires:	zd1211-firmware

%description -n kernel%{_alt_kernel}-smp-net-%{pname}
This package contains Linux SMP kernel drivers for the WLAN cards
based on zd1211.

%description -n kernel%{_alt_kernel}-smp-net-%{pname} -l de.UTF-8
Dieses Paket enthält Linux SMP Kernel Treiber für WLAN Netzwerkkarten
zd1211.

%description -n kernel%{_alt_kernel}-smp-net-%{pname} -l pl.UTF-8
Ten pakiet zawiera sterowniki jądra Linuksa SMP dla kart WLAN opartych
na układzie zd1211.

%prep
%setup -q -n %{zd1211_name}
%patch0 -p1
%patch1 -p1

%build
%build_kernel_modules -m zd1211

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m zd1211 -d kernel/drivers/usb/net

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-%{pname}
%depmod	%{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-%{pname}
%depmod	%{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-net-%{pname}
%depmod	%{_kernel_ver}smp

%postun	-n kernel%{_alt_kernel}-smp-net-%{pname}
%depmod	%{_kernel_ver}smp

%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-net-%{pname}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/drivers/usb/net/*.ko*
#%{_sysconfdir}/modprobe.d/%{_kernel_ver}/%{pname}.conf
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-net-%{pname}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/kernel/drivers/usb/net/*.ko*
#%{_sysconfdir}/modprobe.d/%{_kernel_ver}smp/%{pname}.conf
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zd1211.spec,v $
Revision 1.28.4.31  2008/09/25 01:58:46  glen
- unify release; rel 66

Revision 1.28.4.30  2008/09/24 13:19:11  glen
- release 65

Revision 1.28.4.29  2008/09/16 21:56:49  glen
- debuginfo packages are empty without userspace

Revision 1.28.4.28  2008/09/16 21:54:16  glen
- merge changes from r1.33; rel 64 to rebuild with 2.6.16.62 kernel

Revision 1.28.4.27  2008/07/03 10:37:18  glen
- convert to utf8

Revision 1.28.4.26  2008/05/26 19:45:20  marcus
- addedd 0x586/0x3410 usbid

Revision 1.28.4.25  2008-02-19 23:26:32  glen
- release 63

Revision 1.28.4.24  2008-02-15 01:29:34  glen
- use kernel vermagic in deps

Revision 1.28.4.23  2008-02-12 11:01:11  glen
- release 61 (kernel-2.6.16.60-4)

Revision 1.28.4.22  2008-01-28 09:33:21  glen
- rel 60 (kernel-2.6.16.60-1)

Revision 1.28.4.21  2008-01-21 08:28:15  glen
- rel 59 (2.6.16.59-2)

Revision 1.28.4.20  2008-01-18 12:26:09  glen
- rel 58 (2.6.16.58-1)

Revision 1.28.4.19  2007/11/06 18:28:31  glen
- rel 57 (2.6.16.57-1)

Revision 1.28.4.18  2007/11/04 20:22:05  glen
- prefix src package with alt kernel if present

Revision 1.28.4.17  2007/11/01 08:24:18  adamg
- release 56 (rebuild against 2.6.16.56-1)

Revision 1.28.4.16  2007/10/22 20:41:53  glen
- disable userspace for alt kernel

Revision 1.28.4.15  2007/10/22 20:26:37  glen
- leading slash not needed

Revision 1.28.4.14  2007/10/22 20:24:59  glen
- unify kernel macros

Revision 1.28.4.13  2007/10/16 02:24:49  glen
- no kernel version in base pkg
- add grsec_kernel bcond

Revision 1.28.4.12  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.28.4.11  2007/10/15 08:21:38  glen
- rel drbd.spec (2.6.16.55)

Revision 1.28.4.10  2007/10/01 21:25:45  glen
- rel 54

Revision 1.28.4.9  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.28.4.8  2007/09/06 08:11:03  glen
- TODO

Revision 1.28.4.7  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.28.4.6  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.28.4.5  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.28.4.4  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.28.4.3  2007/04/25 22:11:32  glen
- rel 5 (kernel 2.6.16.49)

Revision 1.28.4.2  2007/03/28 19:39:08  glen
- rel 4 (kernel 2.6.16.45)

Revision 1.28.4.1  2007/03/20 00:18:34  wolvverine
- convert to iso-8859-2

Revision 1.28  2007/03/19 14:55:02  wolvverine
- cosmetics

Revision 1.27  2007/03/19 14:46:49  glen
- on one line

Revision 1.26  2007/03/19 14:40:23  wolvverine
- add R

Revision 1.25  2007/03/19 14:37:25  wolvverine
- exclude sparc

Revision 1.24  2007/03/17 20:31:06  wolvverine
- release 3

Revision 1.23  2007/03/17 20:27:08  wolvverine
- up to r85
- for kernel >= 2.6.18 is zd1211rw

Revision 1.22  2007/03/03 14:22:26  wolvverine
- ups

Revision 1.21  2007/03/03 13:54:39  wolvverine
- revert charset crap

Revision 1.20  2007/03/03 11:59:51  wolvverine
- use %build-kernel-modules

Revision 1.19  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.17  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.16  2006/09/04 09:06:52  wolvverine
- correct last commit

Revision 1.15  2006/09/04 01:03:06  wolvverine
- TODO

Revision 1.14  2006/09/03 20:38:06  wolvverine
- up to snap 83 (09-Jul-2006)

Revision 1.13  2006/05/03 22:02:07  areq
- snap 21-Apr-2006

Revision 1.12  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.11  2005/10/09 09:44:00  arekm
- builds

Revision 1.10  2005/10/09 08:38:33  arekm
- started work on new ver

Revision 1.9  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.8  2005/08/11 14:05:23  areq
- fix install dir

Revision 1.7  2005/06/18 12:44:44  arekm
- use gnu awk

Revision 1.6  2005/06/18 12:23:19  arekm
- fix build

Revision 1.5  2005/05/26 00:08:19  arekm
- module renamed

Revision 1.4  2005/05/26 00:01:42  arekm
- snap from 20050526

Revision 1.3  2005/04/12 18:55:03  arekm
- correct md5

Revision 1.2  2005/04/12 18:50:22  arekm
- builds

Revision 1.1  2005/04/12 18:23:23  arekm
- initial pld release

